#define GEBS_IMPLEMENTATION
#include "gebs.h"

int main(int argc, char ** argv)
{
    gebs_rebuild_self(argc, argv, "cc", "-o", "gebs", __FILE__);

    if (!gebs_exists("build")) {
        gebs_mkdir("build");
    }

    if (gebs_needs_rebuild_many("build/self_rebuild", "example/self_rebuild.c", "gebs.h")) {
        if (GEBS_CMD("gcc", "-ggdb", "-o", "build/self_rebuild", "example/self_rebuild.c") != 0)
            return 1;
    }
    if (gebs_needs_rebuild_many("build/arena", "example/arena.c", "gebs.h")) {
        if (GEBS_CMD("gcc", "-ggdb", "-o", "build/arena", "example/arena.c") != 0)
            return 1;
    }

    return 0;
}
